<template>
  <bh-filter-ui
    data-cid="{ BhTypesFilterUi }"
    :options="types"
    :selected="selected"
    panel-position="center"
    @changed="$emit('changed', $event)"
  >
    <template #icon>
      <svg-icon name="app/types-filter" class="h-6 w-6" />
    </template>

    <template #option="{ option: type, isSelected, isDisabled }">
      <bh-filter-option-ui
        :color="type.color"
        :is-selected="isSelected"
        :is-disabled="isDisabled"
      >
        <!-- Square -->
        <template #square>
          <svg-icon
            :name="`bt/${type.code}`"
            class="h-6 w-6 text-gray-50 fill-current stroke-current"
          />
        </template>
        <!-- Label -->
        <template #default>
          {{ type.name }}
        </template>
      </bh-filter-option-ui>
    </template>
  </bh-filter-ui>
</template>

<script>
export default {
  name: 'BhTypesFilterUi',
  props: {
    types: {
      type: Array,
      default: () => [],
    },
    selected: {
      type: Array,
      default: () => [],
    },
  },
};
</script>
